/**
 * EasyBeans
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: WARDeployableImpl.java 1335 2007-04-24 12:47:31Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.objectweb.easybeans.deployable.impl;

import org.objectweb.easybeans.api.EZBArchive;
import org.objectweb.easybeans.deployer.api.WARDeployable;

/**
 * Implementation for a WAR.
 * @author Florent Benoit
 */
public class WARDeployableImpl extends AbsDeployable implements WARDeployable {

    /**
     * Name of the context-root.
     */
    private String contextRoot = null;

    /**
     * Defines and create a deployable for the given archive.
     * @param archive the given archive.
     */
    public WARDeployableImpl(final EZBArchive archive) {
        super(archive);
    }

    /**
     * @return the list of the context root for this deployable.<br>
     * Note: It can be the context-root defined at the EAR level.
     */
    public String getContextRoot() {
        return contextRoot;
    }

    /**
     * Defines the name of the context-root.
     * @param contextRoot the given context-root for this war file
     */
    public void setContextRoot(final String contextRoot) {
        this.contextRoot = contextRoot;
    }
}
